This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 513086 - yum update 64 bit fails on new install. Error 405: Method Not Allowed
yum update 64 bit fails on new install. Error 405: Method Not Allowed
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.5
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-21 18:28 EDT by Gar Nelson
Modified: 2014-01-21 01:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 00:18:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
error file from yum failure (2.51 KB, application/octet-stream)
2009-07-21 18:28 EDT, Gar Nelson
no flags Details

  None (edit)
Description Gar Nelson 2009-07-21 18:28:59 EDT
Created attachment 354596 [details]
error file from yum failure

Description of problem:
command line "yum update" fails with:
https://xmlrpc.rhn.redhat.com/XMLRPC/GET-REQ/rhel-x86_64-client-workstation-5/repodata/repomd.xml: [Errno 14] HTTP Error 405: Method Not Allowed
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhel-x86_64-client-workstation-5. Please verify its path and try again

Version-Release number of selected component (if applicable):
yum-metadata-parser-1.0-8.fc6
yum-3.0.1-5.el5
yum-metadata-parser-1.1.2-2.el5
yum-3.2.19-18.el5_3.1
yum-updatesd-3.0.1-5.el5
yum-rhn-plugin-0.4.3-1.el5

How reproducible:
Fails every time

Steps to Reproduce:
1.yum update
2.
3.
  
Actual results:
[root@app-ggw ~]# yum update
Loaded plugins: installonlyn, rhnplugin
https://xmlrpc.rhn.redhat.com/XMLRPC/GET-REQ/rhel-x86_64-client-workstation-5/repodata/repomd.xml: [Errno 14] HTTP Error 405: Method Not Allowed
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhel-x86_64-client-workstation-5. Please verify its path and try again
[root@app-ggw ~]# 

Expected results:
Yum to identify, download, and install updates

Additional info:
Comment 1 James Antill 2009-07-22 00:18:13 EDT
 You have two versions of yum and yum-metadata-parser there. That's bad. If you get the latest versions of yum, yum-metadata-parser and yum-rhn-plugin and remove all the other versions and install the latest ones I'm pretty sure all your problems will go away.

Note You need to log in before you can comment on or make changes to this bug.